image:
  name: registry.gitlab.com/consensus.enterprises/drumkit/base:latest
  entrypoint: [""] # We have to override the container entrypoint or else we end up in /bin/sh and `. d` doesn't work. See https://docs.gitlab.com/ee/ci/docker/using_docker_images.html#overriding-the-entrypoint-of-an-image

variables:
  GIT_SUBMODULE_STRATEGY: recursive

stages:
  - publish

pages:
  stage: publish
  script:
  - make hugo
  - . d
  - mkdir public
  - cd docs && hugo
  - mv public ..
  artifacts:
    paths:
    - public
  only:
    - 7.x-1.x

